using MvcExplorer.Models;
using Microsoft.AspNetCore.Mvc;
using C1.Web.Mvc.Serialization;

namespace MvcExplorer.Controllers
{
    partial class TreeViewController : Controller
    {
        // GET: RemoteLoading
        public ActionResult RemoteLoading()
        {
            return View();
        }

        public ActionResult RemoteLoading_LoadAction()
        {
            return Json(Property.GetData(Url), new Newtonsoft.Json.JsonSerializerSettings
            {
                ContractResolver = new Newtonsoft.Json.Serialization.DefaultContractResolver()
            });
        }
    }
}